#include "src/builtins/builtins-array-gen.h"
#include "src/builtins/builtins-regexp-gen.h"
#include "src/builtins/builtins-utils-gen.h"
#include "src/builtins/builtins.h"
#include "src/codegen/code-factory.h"
#include "src/heap/factory-inl.h"
#include "src/objects/arguments.h"
#include "src/objects/bigint.h"
#include "src/objects/elements-kind.h"
#include "src/objects/free-space.h"
#include "src/objects/js-generator.h"
#include "src/objects/js-promise.h"
#include "src/objects/js-regexp-string-iterator.h"
#include "src/objects/js-weak-refs.h"
#include "src/objects/objects.h"
#include "src/objects/source-text-module.h"
#include "src/objects/stack-frame-info.h"
#include "src/objects/synthetic-module.h"
#include "src/objects/template-objects.h"
#include "src/builtins/builtins-bigint-gen.h"
#include "src/builtins/builtins-collections-gen.h"
#include "src/builtins/builtins-data-view-gen.h"
#include "src/builtins/builtins-regexp-gen.h"
#include "src/builtins/builtins-iterator-gen.h"
#include "src/builtins/builtins-proxy-gen.h"
#include "src/builtins/builtins-proxy-gen.h"
#include "src/builtins/builtins-proxy-gen.h"
#include "src/builtins/builtins-proxy-gen.h"
#include "src/builtins/builtins-proxy-gen.h"
#include "src/builtins/builtins-proxy-gen.h"
#include "src/builtins/builtins-proxy-gen.h"
#include "src/builtins/builtins-proxy-gen.h"
#include "src/builtins/builtins-proxy-gen.h"
#include "src/builtins/builtins-proxy-gen.h"
#include "src/builtins/builtins-proxy-gen.h"
#include "src/builtins/builtins-proxy-gen.h"
#include "src/builtins/builtins-regexp-gen.h"
#include "src/builtins/builtins-regexp-gen.h"
#include "src/builtins/builtins-regexp-gen.h"
#include "src/builtins/builtins-regexp-gen.h"
#include "src/builtins/builtins-regexp-gen.h"
#include "src/builtins/builtins-regexp-gen.h"
#include "src/builtins/builtins-regexp-gen.h"
#include "src/builtins/builtins-regexp-gen.h"
#include "src/builtins/builtins-regexp-gen.h"
#include "src/builtins/builtins-string-gen.h"
#include "src/builtins/builtins-string-gen.h"
#include "src/builtins/builtins-regexp-gen.h"
#include "src/builtins/builtins-constructor-gen.h"
#include "src/builtins/builtins-typed-array-gen.h"
#include "src/builtins/builtins-typed-array-gen.h"
#include "src/builtins/builtins-typed-array-gen.h"
#include "src/builtins/builtins-typed-array-gen.h"
#include "src/builtins/builtins-typed-array-gen.h"
#include "src/builtins/builtins-typed-array-gen.h"
#include "src/builtins/builtins-typed-array-gen.h"
#include "src/builtins/builtins-typed-array-gen.h"
#include "src/builtins/builtins-typed-array-gen.h"
#include "src/objects/js-break-iterator.h"
#include "src/objects/js-collator.h"
#include "src/objects/js-number-format.h"
#include "src/objects/js-objects.h"
#include "src/objects/js-plural-rules.h"
#include "src/objects/js-relative-time-format.h"
#include "src/objects/js-date-time-format.h"
#include "src/objects/js-list-format.h"
#include "src/objects/js-locale.h"
#include "src/objects/js-segment-iterator.h"
#include "src/objects/js-segmenter.h"
#include "torque-generated/../../deps/v8/src/builtins/arguments-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-copywithin-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-every-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-filter-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-find-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-findindex-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-foreach-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-join-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-lastindexof-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-map-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-of-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-reduce-right-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-reduce-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-reverse-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-shift-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-slice-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-some-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-splice-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-unshift-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/array-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/base-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/bigint-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/boolean-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/collections-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/data-view-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/extras-utils-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/frames-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/growable-fixed-array-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/internal-coverage-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/iterator-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/math-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/object-fromentries-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/object-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/proxy-constructor-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/proxy-delete-property-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/proxy-get-property-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/proxy-get-prototype-of-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/proxy-has-property-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/proxy-is-extensible-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/proxy-prevent-extensions-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/proxy-revocable-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/proxy-revoke-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/proxy-set-property-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/proxy-set-prototype-of-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/proxy-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/reflect-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/regexp-exec-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/regexp-match-all-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/regexp-match-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/regexp-replace-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/regexp-search-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/regexp-source-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/regexp-split-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/regexp-test-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/regexp-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/string-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/string-endswith-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/string-html-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/string-iterator-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/string-pad-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/string-repeat-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/string-slice-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/string-startswith-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/string-substring-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/torque-internal-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/typed-array-createtypedarray-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/typed-array-every-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/typed-array-filter-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/typed-array-find-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/typed-array-findindex-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/typed-array-foreach-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/typed-array-reduce-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/typed-array-reduceright-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/typed-array-slice-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/typed-array-some-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/typed-array-subarray-tq-csa.h"
#include "torque-generated/../../deps/v8/src/builtins/typed-array-tq-csa.h"
#include "torque-generated/../../deps/v8/third_party/v8/builtins/array-sort-tq-csa.h"
#include "torque-generated/../../deps/v8/test/torque/test-torque-tq-csa.h"
#include "torque-generated/../../deps/v8/src/objects/intl-objects-tq-csa.h"

namespace v8 {
namespace internal {

void CallThrowTypeErrorIfStrict_321(compiler::CodeAssemblerState* state_, TNode<Context> p_context, MessageTemplate p_message) {
  compiler::CodeAssembler ca_(state_);
  compiler::CodeAssemblerParameterizedLabel<Context> block0(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context> block1(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context> block2(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
    ca_.Goto(&block0, p_context);

  if (block0.is_used()) {
    TNode<Context> tmp0;
    ca_.Bind(&block0, &tmp0);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 15);
    TNode<Smi> tmp1;
    USE(tmp1);
    tmp1 = CodeStubAssembler(state_).SmiConstant(p_message);
    TNode<Oddball> tmp2;
    USE(tmp2);
    tmp2 = Null_63(state_);
    TNode<Oddball> tmp3;
    USE(tmp3);
    tmp3 = Null_63(state_);
    CodeStubAssembler(state_).CallRuntime(Runtime::kThrowTypeErrorIfStrict, tmp0, tmp1, tmp2, tmp3);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 13);
    ca_.Goto(&block1, tmp0);
  }

  if (block1.is_used()) {
    TNode<Context> tmp5;
    ca_.Bind(&block1, &tmp5);
    ca_.Goto(&block2, tmp5);
  }

    TNode<Context> tmp6;
    ca_.Bind(&block2, &tmp6);
}

TF_BUILTIN(ProxySetProperty, CodeStubAssembler) {
  compiler::CodeAssemblerState* state_ = state();  compiler::CodeAssembler ca_(state());
  TNode<Context> parameter0 = UncheckedCast<Context>(Parameter(Descriptor::kContext));
  USE(parameter0);
  TNode<JSProxy> parameter1 = UncheckedCast<JSProxy>(Parameter(Descriptor::ParameterIndex<0>()));
  USE(parameter1);
  TNode<Name> parameter2 = UncheckedCast<Name>(Parameter(Descriptor::ParameterIndex<1>()));
  USE(parameter2);
  TNode<Object> parameter3 = UncheckedCast<Object>(Parameter(Descriptor::ParameterIndex<2>()));
  USE(parameter3);
  TNode<Object> parameter4 = UncheckedCast<Object>(Parameter(Descriptor::ParameterIndex<3>()));
  USE(parameter4);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object> block0(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object> block1(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object> block4(&ca_, compiler::CodeAssemblerLabel::kDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object> block3(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object> block2(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object> block5(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object> block8(&ca_, compiler::CodeAssemblerLabel::kDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object> block7(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object> block6(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, Name, Name> block12(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, Name, Name, Symbol> block11(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, Name> block10(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, Name> block9(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name> block17(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, BoolT> block21(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, BoolT> block22(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, BoolT, BoolT> block23(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name> block20(&ca_, compiler::CodeAssemblerLabel::kDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name> block19(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name> block18(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, HeapObject> block25(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, HeapObject, JSReceiver> block24(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, JSReceiver, JSReceiver, JSReceiver> block29(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, JSReceiver, JSReceiver, JSReceiver, JSReceiver> block28(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, JSReceiver, JSReceiver> block27(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, JSReceiver, JSReceiver, JSReceiver> block26(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, JSReceiver, JSReceiver, JSReceiver, Object> block30(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, JSReceiver, JSReceiver, JSReceiver, Object> block31(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name, Object> block16(&ca_, compiler::CodeAssemblerLabel::kNonDeferred);
  compiler::CodeAssemblerParameterizedLabel<Context, JSProxy, Name, Object, Object, Name> block14(&ca_, compiler::CodeAssemblerLabel::kDeferred);
    ca_.Goto(&block0, parameter0, parameter1, parameter2, parameter3, parameter4);

  if (block0.is_used()) {
    TNode<Context> tmp0;
    TNode<JSProxy> tmp1;
    TNode<Name> tmp2;
    TNode<Object> tmp3;
    TNode<Object> tmp4;
    ca_.Bind(&block0, &tmp0, &tmp1, &tmp2, &tmp3, &tmp4);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 25);
    ca_.Goto(&block2, tmp0, tmp1, tmp2, tmp3, tmp4);
  }

  if (block1.is_used()) {
    TNode<Context> tmp5;
    TNode<JSProxy> tmp6;
    TNode<Name> tmp7;
    TNode<Object> tmp8;
    TNode<Object> tmp9;
    ca_.Bind(&block1, &tmp5, &tmp6, &tmp7, &tmp8, &tmp9);
    TNode<BoolT> tmp10;
    USE(tmp10);
    tmp10 = CodeStubAssembler(state_).TaggedIsNotSmi(TNode<Object>{tmp7});
    ca_.Branch(tmp10, &block3, &block4, tmp5, tmp6, tmp7, tmp8, tmp9);
  }

  if (block4.is_used()) {
    TNode<Context> tmp11;
    TNode<JSProxy> tmp12;
    TNode<Name> tmp13;
    TNode<Object> tmp14;
    TNode<Object> tmp15;
    ca_.Bind(&block4, &tmp11, &tmp12, &tmp13, &tmp14, &tmp15);
    CodeStubAssembler(state_).FailAssert("Torque assert 'TaggedIsNotSmi(name)' failed", "../../deps/v8/src/builtins/proxy-set-property.tq", 25);
  }

  if (block3.is_used()) {
    TNode<Context> tmp16;
    TNode<JSProxy> tmp17;
    TNode<Name> tmp18;
    TNode<Object> tmp19;
    TNode<Object> tmp20;
    ca_.Bind(&block3, &tmp16, &tmp17, &tmp18, &tmp19, &tmp20);
  }

  if (block2.is_used()) {
    TNode<Context> tmp21;
    TNode<JSProxy> tmp22;
    TNode<Name> tmp23;
    TNode<Object> tmp24;
    TNode<Object> tmp25;
    ca_.Bind(&block2, &tmp21, &tmp22, &tmp23, &tmp24, &tmp25);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 26);
    ca_.Goto(&block6, tmp21, tmp22, tmp23, tmp24, tmp25);
  }

  if (block5.is_used()) {
    TNode<Context> tmp26;
    TNode<JSProxy> tmp27;
    TNode<Name> tmp28;
    TNode<Object> tmp29;
    TNode<Object> tmp30;
    ca_.Bind(&block5, &tmp26, &tmp27, &tmp28, &tmp29, &tmp30);
    TNode<BoolT> tmp31;
    USE(tmp31);
    tmp31 = CodeStubAssembler(state_).IsName(TNode<HeapObject>{tmp28});
    ca_.Branch(tmp31, &block7, &block8, tmp26, tmp27, tmp28, tmp29, tmp30);
  }

  if (block8.is_used()) {
    TNode<Context> tmp32;
    TNode<JSProxy> tmp33;
    TNode<Name> tmp34;
    TNode<Object> tmp35;
    TNode<Object> tmp36;
    ca_.Bind(&block8, &tmp32, &tmp33, &tmp34, &tmp35, &tmp36);
    CodeStubAssembler(state_).FailAssert("Torque assert 'IsName(name)' failed", "../../deps/v8/src/builtins/proxy-set-property.tq", 26);
  }

  if (block7.is_used()) {
    TNode<Context> tmp37;
    TNode<JSProxy> tmp38;
    TNode<Name> tmp39;
    TNode<Object> tmp40;
    TNode<Object> tmp41;
    ca_.Bind(&block7, &tmp37, &tmp38, &tmp39, &tmp40, &tmp41);
  }

  if (block6.is_used()) {
    TNode<Context> tmp42;
    TNode<JSProxy> tmp43;
    TNode<Name> tmp44;
    TNode<Object> tmp45;
    TNode<Object> tmp46;
    ca_.Bind(&block6, &tmp42, &tmp43, &tmp44, &tmp45, &tmp46);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 28);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 29);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 30);
    TNode<Symbol> tmp47;
    USE(tmp47);
    compiler::CodeAssemblerLabel label0(&ca_);
    tmp47 = Cast15ATPrivateSymbol_126(state_, TNode<HeapObject>{tmp44}, &label0);
    ca_.Goto(&block11, tmp42, tmp43, tmp44, tmp45, tmp46, ca_.Uninitialized<Name>(), tmp44, tmp44, tmp47);
    if (label0.is_used()) {
      ca_.Bind(&label0);
      ca_.Goto(&block12, tmp42, tmp43, tmp44, tmp45, tmp46, ca_.Uninitialized<Name>(), tmp44, tmp44);
    }
  }

  if (block12.is_used()) {
    TNode<Context> tmp48;
    TNode<JSProxy> tmp49;
    TNode<Name> tmp50;
    TNode<Object> tmp51;
    TNode<Object> tmp52;
    TNode<Name> tmp53;
    TNode<Name> tmp54;
    TNode<Name> tmp55;
    ca_.Bind(&block12, &tmp48, &tmp49, &tmp50, &tmp51, &tmp52, &tmp53, &tmp54, &tmp55);
    ca_.Goto(&block10, tmp48, tmp49, tmp50, tmp51, tmp52, tmp53, tmp54);
  }

  if (block11.is_used()) {
    TNode<Context> tmp56;
    TNode<JSProxy> tmp57;
    TNode<Name> tmp58;
    TNode<Object> tmp59;
    TNode<Object> tmp60;
    TNode<Name> tmp61;
    TNode<Name> tmp62;
    TNode<Name> tmp63;
    TNode<Symbol> tmp64;
    ca_.Bind(&block11, &tmp56, &tmp57, &tmp58, &tmp59, &tmp60, &tmp61, &tmp62, &tmp63, &tmp64);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 31);
    CallThrowTypeErrorIfStrict_321(state_, TNode<Context>{tmp56}, MessageTemplate::kProxyPrivate);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 32);
    TNode<Oddball> tmp65;
    USE(tmp65);
    tmp65 = Undefined_64(state_);
    CodeStubAssembler(state_).Return(tmp65);
  }

  if (block10.is_used()) {
    TNode<Context> tmp66;
    TNode<JSProxy> tmp67;
    TNode<Name> tmp68;
    TNode<Object> tmp69;
    TNode<Object> tmp70;
    TNode<Name> tmp71;
    TNode<Name> tmp72;
    ca_.Bind(&block10, &tmp66, &tmp67, &tmp68, &tmp69, &tmp70, &tmp71, &tmp72);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 34);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 35);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 30);
    ca_.Goto(&block9, tmp66, tmp67, tmp68, tmp69, tmp70, ca_.UncheckedCast<Name>(tmp72), tmp72);
  }

  if (block9.is_used()) {
    TNode<Context> tmp73;
    TNode<JSProxy> tmp74;
    TNode<Name> tmp75;
    TNode<Object> tmp76;
    TNode<Object> tmp77;
    TNode<Name> tmp78;
    TNode<Name> tmp79;
    ca_.Bind(&block9, &tmp73, &tmp74, &tmp75, &tmp76, &tmp77, &tmp78, &tmp79);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 29);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 43);
    ca_.Goto(&block18, tmp73, tmp74, tmp75, tmp76, tmp77, tmp78);
  }

  if (block17.is_used()) {
    TNode<Context> tmp80;
    TNode<JSProxy> tmp81;
    TNode<Name> tmp82;
    TNode<Object> tmp83;
    TNode<Object> tmp84;
    TNode<Name> tmp85;
    ca_.Bind(&block17, &tmp80, &tmp81, &tmp82, &tmp83, &tmp84, &tmp85);
    TNode<IntPtrT> tmp86 = ca_.IntPtrConstant(JSProxy::kHandlerOffset);
    USE(tmp86);
    TNode<HeapObject>tmp87 = CodeStubAssembler(state_).LoadReference<HeapObject>(CodeStubAssembler::Reference{tmp81, tmp86});
    TNode<Oddball> tmp88;
    USE(tmp88);
    tmp88 = Null_63(state_);
    TNode<BoolT> tmp89;
    USE(tmp89);
    tmp89 = CodeStubAssembler(state_).TaggedEqual(TNode<HeapObject>{tmp87}, TNode<HeapObject>{tmp88});
    ca_.Branch(tmp89, &block21, &block22, tmp80, tmp81, tmp82, tmp83, tmp84, tmp85, tmp89);
  }

  if (block21.is_used()) {
    TNode<Context> tmp90;
    TNode<JSProxy> tmp91;
    TNode<Name> tmp92;
    TNode<Object> tmp93;
    TNode<Object> tmp94;
    TNode<Name> tmp95;
    TNode<BoolT> tmp96;
    ca_.Bind(&block21, &tmp90, &tmp91, &tmp92, &tmp93, &tmp94, &tmp95, &tmp96);
    TNode<BoolT> tmp97;
    USE(tmp97);
    tmp97 = FromConstexpr6ATbool16ATconstexpr_bool_168(state_, true);
    ca_.Goto(&block23, tmp90, tmp91, tmp92, tmp93, tmp94, tmp95, tmp96, tmp97);
  }

  if (block22.is_used()) {
    TNode<Context> tmp98;
    TNode<JSProxy> tmp99;
    TNode<Name> tmp100;
    TNode<Object> tmp101;
    TNode<Object> tmp102;
    TNode<Name> tmp103;
    TNode<BoolT> tmp104;
    ca_.Bind(&block22, &tmp98, &tmp99, &tmp100, &tmp101, &tmp102, &tmp103, &tmp104);
    TNode<IntPtrT> tmp105 = ca_.IntPtrConstant(JSProxy::kHandlerOffset);
    USE(tmp105);
    TNode<HeapObject>tmp106 = CodeStubAssembler(state_).LoadReference<HeapObject>(CodeStubAssembler::Reference{tmp99, tmp105});
    TNode<BoolT> tmp107;
    USE(tmp107);
    tmp107 = Is10JSReceiver21UT6ATNull10JSReceiver_1501(state_, TNode<Context>{tmp98}, TNode<HeapObject>{tmp106});
    ca_.Goto(&block23, tmp98, tmp99, tmp100, tmp101, tmp102, tmp103, tmp104, tmp107);
  }

  if (block23.is_used()) {
    TNode<Context> tmp108;
    TNode<JSProxy> tmp109;
    TNode<Name> tmp110;
    TNode<Object> tmp111;
    TNode<Object> tmp112;
    TNode<Name> tmp113;
    TNode<BoolT> tmp114;
    TNode<BoolT> tmp115;
    ca_.Bind(&block23, &tmp108, &tmp109, &tmp110, &tmp111, &tmp112, &tmp113, &tmp114, &tmp115);
    ca_.Branch(tmp115, &block19, &block20, tmp108, tmp109, tmp110, tmp111, tmp112, tmp113);
  }

  if (block20.is_used()) {
    TNode<Context> tmp116;
    TNode<JSProxy> tmp117;
    TNode<Name> tmp118;
    TNode<Object> tmp119;
    TNode<Object> tmp120;
    TNode<Name> tmp121;
    ca_.Bind(&block20, &tmp116, &tmp117, &tmp118, &tmp119, &tmp120, &tmp121);
    CodeStubAssembler(state_).FailAssert("Torque assert 'proxy.handler == Null || Is<JSReceiver>(proxy.handler)' failed", "../../deps/v8/src/builtins/proxy-set-property.tq", 43);
  }

  if (block19.is_used()) {
    TNode<Context> tmp122;
    TNode<JSProxy> tmp123;
    TNode<Name> tmp124;
    TNode<Object> tmp125;
    TNode<Object> tmp126;
    TNode<Name> tmp127;
    ca_.Bind(&block19, &tmp122, &tmp123, &tmp124, &tmp125, &tmp126, &tmp127);
  }

  if (block18.is_used()) {
    TNode<Context> tmp128;
    TNode<JSProxy> tmp129;
    TNode<Name> tmp130;
    TNode<Object> tmp131;
    TNode<Object> tmp132;
    TNode<Name> tmp133;
    ca_.Bind(&block18, &tmp128, &tmp129, &tmp130, &tmp131, &tmp132, &tmp133);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 45);
    TNode<IntPtrT> tmp134 = ca_.IntPtrConstant(JSProxy::kHandlerOffset);
    USE(tmp134);
    TNode<HeapObject>tmp135 = CodeStubAssembler(state_).LoadReference<HeapObject>(CodeStubAssembler::Reference{tmp129, tmp134});
    TNode<JSReceiver> tmp136;
    USE(tmp136);
    compiler::CodeAssemblerLabel label0(&ca_);
    tmp136 = Cast10JSReceiver_143(state_, TNode<HeapObject>{tmp135}, &label0);
    ca_.Goto(&block24, tmp128, tmp129, tmp130, tmp131, tmp132, tmp133, tmp135, tmp136);
    if (label0.is_used()) {
      ca_.Bind(&label0);
      ca_.Goto(&block25, tmp128, tmp129, tmp130, tmp131, tmp132, tmp133, tmp135);
    }
  }

  if (block25.is_used()) {
    TNode<Context> tmp137;
    TNode<JSProxy> tmp138;
    TNode<Name> tmp139;
    TNode<Object> tmp140;
    TNode<Object> tmp141;
    TNode<Name> tmp142;
    TNode<HeapObject> tmp143;
    ca_.Bind(&block25, &tmp137, &tmp138, &tmp139, &tmp140, &tmp141, &tmp142, &tmp143);
    ca_.Goto(&block14, tmp137, tmp138, tmp139, tmp140, tmp141, tmp142);
  }

  if (block24.is_used()) {
    TNode<Context> tmp144;
    TNode<JSProxy> tmp145;
    TNode<Name> tmp146;
    TNode<Object> tmp147;
    TNode<Object> tmp148;
    TNode<Name> tmp149;
    TNode<HeapObject> tmp150;
    TNode<JSReceiver> tmp151;
    ca_.Bind(&block24, &tmp144, &tmp145, &tmp146, &tmp147, &tmp148, &tmp149, &tmp150, &tmp151);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 48);
    TNode<IntPtrT> tmp152 = ca_.IntPtrConstant(JSProxy::kTargetOffset);
    USE(tmp152);
    TNode<HeapObject>tmp153 = CodeStubAssembler(state_).LoadReference<HeapObject>(CodeStubAssembler::Reference{tmp145, tmp152});
    TNode<JSReceiver> tmp154;
    USE(tmp154);
    tmp154 = UnsafeCast10JSReceiver_1492(state_, TNode<Context>{tmp144}, TNode<Object>{tmp153});
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 52);
    TNode<JSReceiver> tmp155;
    USE(tmp155);
    compiler::CodeAssemblerLabel label0(&ca_);
    tmp155 = GetMethod_248(state_, TNode<Context>{tmp144}, TNode<Object>{tmp151}, "set", &label0);
    ca_.Goto(&block28, tmp144, tmp145, tmp146, tmp147, tmp148, tmp149, tmp151, tmp154, tmp151, tmp155);
    if (label0.is_used()) {
      ca_.Bind(&label0);
      ca_.Goto(&block29, tmp144, tmp145, tmp146, tmp147, tmp148, tmp149, tmp151, tmp154, tmp151);
    }
  }

  if (block29.is_used()) {
    TNode<Context> tmp156;
    TNode<JSProxy> tmp157;
    TNode<Name> tmp158;
    TNode<Object> tmp159;
    TNode<Object> tmp160;
    TNode<Name> tmp161;
    TNode<JSReceiver> tmp162;
    TNode<JSReceiver> tmp163;
    TNode<JSReceiver> tmp164;
    ca_.Bind(&block29, &tmp156, &tmp157, &tmp158, &tmp159, &tmp160, &tmp161, &tmp162, &tmp163, &tmp164);
    ca_.Goto(&block27, tmp156, tmp157, tmp158, tmp159, tmp160, tmp161, tmp162, tmp163);
  }

  if (block28.is_used()) {
    TNode<Context> tmp165;
    TNode<JSProxy> tmp166;
    TNode<Name> tmp167;
    TNode<Object> tmp168;
    TNode<Object> tmp169;
    TNode<Name> tmp170;
    TNode<JSReceiver> tmp171;
    TNode<JSReceiver> tmp172;
    TNode<JSReceiver> tmp173;
    TNode<JSReceiver> tmp174;
    ca_.Bind(&block28, &tmp165, &tmp166, &tmp167, &tmp168, &tmp169, &tmp170, &tmp171, &tmp172, &tmp173, &tmp174);
    ca_.Goto(&block26, tmp165, tmp166, tmp167, tmp168, tmp169, tmp170, tmp171, tmp172, tmp174);
  }

  if (block27.is_used()) {
    TNode<Context> tmp175;
    TNode<JSProxy> tmp176;
    TNode<Name> tmp177;
    TNode<Object> tmp178;
    TNode<Object> tmp179;
    TNode<Name> tmp180;
    TNode<JSReceiver> tmp181;
    TNode<JSReceiver> tmp182;
    ca_.Bind(&block27, &tmp175, &tmp176, &tmp177, &tmp178, &tmp179, &tmp180, &tmp181, &tmp182);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 53);
    ca_.Goto(&block16, tmp175, tmp176, tmp177, tmp178, tmp179, tmp180, tmp182);
  }

  if (block26.is_used()) {
    TNode<Context> tmp183;
    TNode<JSProxy> tmp184;
    TNode<Name> tmp185;
    TNode<Object> tmp186;
    TNode<Object> tmp187;
    TNode<Name> tmp188;
    TNode<JSReceiver> tmp189;
    TNode<JSReceiver> tmp190;
    TNode<JSReceiver> tmp191;
    ca_.Bind(&block26, &tmp183, &tmp184, &tmp185, &tmp186, &tmp187, &tmp188, &tmp189, &tmp190, &tmp191);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 52);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 70);
    TNode<Object> tmp192;
    USE(tmp192);
    tmp192 = CodeStubAssembler(state_).Call(TNode<Context>{tmp183}, TNode<JSReceiver>{tmp191}, TNode<Object>{tmp189}, TNode<Object>{tmp190}, TNode<Object>{tmp188}, TNode<Object>{tmp186}, TNode<Object>{tmp187});
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 71);
    TNode<BoolT> tmp193;
    USE(tmp193);
    tmp193 = ToBoolean_243(state_, TNode<Object>{tmp192});
    ca_.Branch(tmp193, &block30, &block31, tmp183, tmp184, tmp185, tmp186, tmp187, tmp188, tmp189, tmp190, tmp191, tmp192);
  }

  if (block30.is_used()) {
    TNode<Context> tmp194;
    TNode<JSProxy> tmp195;
    TNode<Name> tmp196;
    TNode<Object> tmp197;
    TNode<Object> tmp198;
    TNode<Name> tmp199;
    TNode<JSReceiver> tmp200;
    TNode<JSReceiver> tmp201;
    TNode<JSReceiver> tmp202;
    TNode<Object> tmp203;
    ca_.Bind(&block30, &tmp194, &tmp195, &tmp196, &tmp197, &tmp198, &tmp199, &tmp200, &tmp201, &tmp202, &tmp203);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 72);
    ProxiesCodeStubAssembler(state_).CheckGetSetTrapResult(TNode<Context>{tmp194}, TNode<JSReceiver>{tmp201}, TNode<JSProxy>{tmp195}, TNode<Name>{tmp196}, TNode<Object>{tmp197}, JSProxy::AccessKind::kSet);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 73);
    CodeStubAssembler(state_).Return(tmp197);
  }

  if (block31.is_used()) {
    TNode<Context> tmp204;
    TNode<JSProxy> tmp205;
    TNode<Name> tmp206;
    TNode<Object> tmp207;
    TNode<Object> tmp208;
    TNode<Name> tmp209;
    TNode<JSReceiver> tmp210;
    TNode<JSReceiver> tmp211;
    TNode<JSReceiver> tmp212;
    TNode<Object> tmp213;
    ca_.Bind(&block31, &tmp204, &tmp205, &tmp206, &tmp207, &tmp208, &tmp209, &tmp210, &tmp211, &tmp212, &tmp213);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 76);
    TNode<Smi> tmp214;
    USE(tmp214);
    tmp214 = CodeStubAssembler(state_).SmiConstant(MessageTemplate::kProxyTrapReturnedFalsishFor);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 75);
    TNode<Object> tmp215;
    USE(tmp215);
    tmp215 = FromConstexpr20UT5ATSmi10HeapObject18ATconstexpr_string_171(state_, "set");
    CodeStubAssembler(state_).CallRuntime(Runtime::kThrowTypeErrorIfStrict, tmp204, tmp214, tmp215, tmp206);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 77);
    CodeStubAssembler(state_).Return(tmp207);
  }

  if (block16.is_used()) {
    TNode<Context> tmp217;
    TNode<JSProxy> tmp218;
    TNode<Name> tmp219;
    TNode<Object> tmp220;
    TNode<Object> tmp221;
    TNode<Name> tmp222;
    TNode<Object> tmp223;
    ca_.Bind(&block16, &tmp217, &tmp218, &tmp219, &tmp220, &tmp221, &tmp222, &tmp223);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 81);
    CodeStubAssembler(state_).CallRuntime(Runtime::kSetPropertyWithReceiver, tmp217, tmp223, tmp219, tmp220, tmp221);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 82);
    CodeStubAssembler(state_).Return(tmp220);
  }

  if (block14.is_used()) {
    TNode<Context> tmp225;
    TNode<JSProxy> tmp226;
    TNode<Name> tmp227;
    TNode<Object> tmp228;
    TNode<Object> tmp229;
    TNode<Name> tmp230;
    ca_.Bind(&block14, &tmp225, &tmp226, &tmp227, &tmp228, &tmp229, &tmp230);
    ca_.SetSourcePosition("../../deps/v8/../../deps/v8/src/builtins/proxy-set-property.tq", 85);
    CodeStubAssembler(state_).ThrowTypeError(TNode<Context>{tmp225}, MessageTemplate::kProxyRevoked, "set");
  }
}

}  // namespace internal
}  // namespace v8

